> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Report


> Request a new report from channel. 
Reports a valid for 48 hours after request indicated by expiresIn.




## OpenAPI

````yaml /openapi/scx/seller.json post /v1/seller/report/request
openapi: 3.0.2
info:
  title: SCX Seller API
  version: '1.0'
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: |
    SCX Seller API
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox Environment
security: []
tags:
  - name: Account
    description: Seller account management
  - name: Offer
    description: Seller offer management
  - name: Events
    description: Channel and system events for the seller
  - name: Meta
    description: Channel meta information (categories, attributes, rules)
  - name: Order
    description: Order processing, payments, shipping, cancellations and refunds
  - name: Report
    description: Seller report generation and retrieval
  - name: Ticket
    description: Channel ticket management
paths:
  /v1/seller/report/request:
    post:
      tags:
        - Report
      summary: |
        Request Report
      description: |
        Request a new report from channel. 
        Reports a valid for 48 hours after request indicated by expiresIn.
      operationId: RequestReport
      requestBody:
        $ref: '#/components/requestBodies/RequestReport'
      responses:
        '200':
          $ref: '#/components/responses/ReportRequested'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '429':
          $ref: '#/components/responses/RequestThrottled'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - SellerAuth: []
components:
  requestBodies:
    RequestReport:
      description: >-
        Request to generate an asynchronous report (e.g. orders, returns,
        settlements) for the seller.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SellerReportRequest'
  responses:
    ReportRequested:
      description: Report request accepted; identifier returned for later download
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ReportRequestResult'
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: VAL100
                message: Required field sellerId not found
                severity: error
                hint: Check the field `sellerId` — it must be a non-empty string.
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    RequestThrottled:
      description: User has send to many requests
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    SellerReportRequest:
      description: >-
        Seller request to generate a marketplace report (e.g. inventory, orders)
        for a specific channel.
      type: object
      allOf:
        - properties:
            channel:
              $ref: '#/components/schemas/Channel'
        - $ref: '#/components/schemas/ReportRequest'
      required:
        - channel
    ReportRequestResult:
      description: >-
        Acknowledgement of a report request — returns the reportId, whether it
        is newly created (vs. deduplicated) and a TTL.
      type: object
      title: ReportRequestResult
      properties:
        sellerId:
          $ref: '#/components/schemas/SellerId'
        channel:
          $ref: '#/components/schemas/Channel'
        reportId:
          $ref: '#/components/schemas/ReportId'
        created:
          description: >
            Indicates if the report request was created as with new reportId.
            SCX Seller Api is doing a

            deduplication and will return value `false` if there is an existing
            not yet processed report with the

            same parameters. The reportId returned is same from the open report.
          type: boolean
          example: true
        expiresIn:
          description: >
            Seconds until the report is deleted from the system. Default TTL is
            48h.
          type: integer
          example: 172500
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    Channel:
      description: |
        This is the unique Channel name.
      type: string
      example: MYBESTDEALCOMDE
      pattern: ^\w{5,15}$
    ReportRequest:
      title: ReportRequest
      type: object
      properties:
        sellerId:
          $ref: '#/components/schemas/SellerId'
        reportType:
          $ref: '#/components/schemas/ReportType'
        options:
          type: object
          properties:
            ResultsAsChannelEvent:
              type: boolean
              description: >
                If true, the report will be generated as a channel event.

                This means that the report will be sent to the seller via the
                channel event system.

                If false, the report will be generated as a file.

                This means that the report will be available for download via
                the report endpoint.
        startDate:
          type: string
          format: date
          nullable: true
        endDate:
          type: string
          format: date
          nullable: true
      required:
        - sellerId
        - reportType
    SellerId:
      description: >
        A unique Id identify a Seller on a specific SalesChannel. The SellerId
        is generated

        from the Channel itself during the Seller SignUp Process.
      type: string
      example: '4711'
      pattern: ^\w{1,50}$
    ReportId:
      type: string
      description: |
        A system wide unique Id to identify and download a report
      example: 910390cc-c3b3-45ba-8be2-ab1824b6c499
    ReportType:
      type: string
      enum:
        - SELLER_INVENTORY
  securitySchemes:
    SellerAuth:
      description: >
        Bearer JWT issued to a seller after they sign up for a JTL-Scx
        subscription via the JTL

        Customer Center. Usage format: `Bearer <JWT>`.
      type: http
      scheme: bearer
      bearerFormat: JWT

````